| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

Functions
Position Determination Service

## Functions
IMPORTGOBI ULONG GOBICMAPI | SetPDSStateCallback (tFNPDSState pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetNMEACallback (tFNNewNMEA pCallback)
QCIMPORT2K ULONG QCWWANAPI2K | SetNMEAPlusCallback (tFNNewNMEAPlus pCallback)
IMPORTGOBI ULONG GOBICMAPI | GetServiceAutomaticTracking (ULONG *pbAuto)
IMPORTGOBI ULONG GOBICMAPI | SetServiceAutomaticTracking (ULONG bAuto)
IMPORTGOBI ULONG GOBICMAPI | GetPortAutomaticTracking (ULONG *pbAuto)
IMPORTGOBI ULONG GOBICMAPI | SetPortAutomaticTracking (ULONG bAuto)
IMPORTGOBI ULONG GOBICMAPI | ResetPDSData (ULONG *pGPSDataMask, ULONG *pCellDataMask)
IMPORTGOBI ULONG GOBICMAPI | GetAGPSProtocol (ULONG *pProtocol)
IMPORTGOBI ULONG GOBICMAPI | SetAGPSProtocol (ULONG protocol)
IMPORTGOBI ULONG GOBICMAPI | GetAGPSConfig (ULONG *pServerAddress, ULONG *pServerPort)
IMPORTGOBI ULONG GOBICMAPI | SetAGPSConfig (ULONG serverAddress, ULONG serverPort)
IMPORTGOBI ULONG GOBICMAPI | GetXTRATimeState (ULONG *pState)
IMPORTGOBI ULONG GOBICMAPI | SetXTRATimeState (ULONG state)
IMPORTGOBI ULONG GOBICMAPI | ForceXTRADownload ()
IMPORTGOBI ULONG GOBICMAPI | GetXTRADataState (ULONG *pState)
IMPORTGOBI ULONG GOBICMAPI | SetXTRADataState (ULONG state)
IMPORTGOBI ULONG GOBICMAPI | GetXTRAValidity (USHORT *pGPSWeek, USHORT *pGPSWeekOffset, USHORT *pDuration)
IMPORTGOBI ULONG GOBICMAPI | GetPDSState (ULONG *pEnabled, ULONG *pTracking)
IMPORTGOBI ULONG GOBICMAPI | SetPDSState (ULONG enable)
IMPORTGOBI ULONG GOBICMAPI | PDSInjectTimeReference (ULONGLONG systemTime, USHORT systemDiscontinuities)
IMPORTGOBI ULONG GOBICMAPI | GetPDSDefaults (ULONG *pOperation, BYTE *pTimeout, ULONG *pInterval, ULONG *pAccuracy)
IMPORTGOBI ULONG GOBICMAPI | SetPDSDefaults (ULONG operation, BYTE timeout, ULONG interval, ULONG accuracy)
IMPORTGOBI ULONG GOBICMAPI | GetXTRAAutomaticDownload (ULONG *pbEnabled, USHORT *pInterval)
IMPORTGOBI ULONG GOBICMAPI | SetXTRAAutomaticDownload (ULONG bEnabled, USHORT interval)
IMPORTGOBI ULONG GOBICMAPI | GetXTRANetwork (ULONG *pPreference)
IMPORTGOBI ULONG GOBICMAPI | SetXTRANetwork (ULONG preference)
QCIMPORT2K ULONG QCWWANAPI2K | StartPDSTrackingSession (ULONG fixInterval)
QCIMPORT2K ULONG QCWWANAPI2K | StopPDSTrackingSession ()

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI ForceXTRADownload | ( |  | ) |

This function forces the XTRA database to be downloaded to the device QMI_PDS_FORCE_XTRA_DOWNLOAD_MSG 0x002D

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetAGPSConfig | ( | ULONG * | pServerAddress,
|  | ULONG * | pServerPort
| ) |  |

This function returns the PDS AGPS configuration QMI_PDS_GET_AGPS_CONFIG_MSG 0x002E

Parameters

  pServerAddress | [ O ] - IPv4 address of AGPS server
  pServerPort | [ O ] - Port number of AGPS server

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetAGPSProtocol | ( | ULONG * | pProtocol | ) |

This function gets the network type for AGPS commands

Parameters

  pProtocol | [ O ] - Network mode

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPDSDefaults | ( | ULONG * | pOperation,
|  | BYTE * | pTimeout,
|  | ULONG * | pInterval,
|  | ULONG * | pAccuracy
| ) |  |

This function returns the default tracking session configuration QMI_PDS_GET_DEFAULT_TRACKING_SESSION_MSG = 0x0029

Parameters

  pOperation | [ O ] - Current session operating mode
  pTimeout | [ O ] - Maximum amount of time (seconds) to work on each fix
  pInterval | [ O ] - Interval (milliseconds) between fix requests
  pAccuracy | [ O ] - Current accuracy threshold (meters)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPDSState | ( | ULONG * | pEnabled,
|  | ULONG * | pTracking
| ) |  |

This function returns the current PDS state QMI_PDS_GET_GPS_SERVICE_STATE_MSG = 0x0020

Parameters

  pEnabled | [ O ] - Current PDS state (0 = disabled)
  pTracking | [ O ] - Current PDS tracking session state

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPortAutomaticTracking | ( | ULONG * | pbAuto | ) |

This function returns the automatic tracking configuration for the NMEA COM port QMI_PDS_GET_COM_PORT_CONFIG_MSG 0x0032

Parameters

  pbAuto | [ O ] - Automatic tracking enabled for NMEA COM port?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetServiceAutomaticTracking | ( | ULONG * | pbAuto | ) |

This function returns the automatic tracking state for the service QMI_PDS_GET_AUTO_TRACKING_STATE_MSG 0x0030

Parameters

  pbAuto | [ O ] - Automatic tracking session started for service?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetXTRAAutomaticDownload | ( | ULONG * | pbEnabled,
|  | USHORT * | pInterval
| ) |  |

This function returns the XTRA automatic download configuration QMI_PDS_GET_XTRA_PARAMETERS_MSG = 0x002B

Parameters

  pbEnabled | [ O ] - Automatic download enabled?
  pInterval | [ O ] - Interval (hours) between XTRA downloads

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetXTRADataState | ( | ULONG * | pState | ) |

This function returns the XTRA data positioning state QMI_PDS_GET_POSITION_METHOD_STATE_MSG 0x0050

Parameters

  pState | [ O ] - XTRA data positioning state

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetXTRANetwork | ( | ULONG * | pPreference | ) |

This function returns the XTRA WWAN network preference QMI_PDS_GET_XTRA_PARAMETERS_MSG = 0x002B

Parameters

  pPreference | [ O ] - XTRA WWAN network preference

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetXTRATimeState | ( | ULONG * | pState | ) |

This function returns the XTRA time positioning state

Parameters

  pState | [ O ] - XTRA time positioning state

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetXTRAValidity | ( | USHORT * | pGPSWeek,
|  | USHORT * | pGPSWeekOffset,
|  | USHORT * | pDuration
| ) |  |

This function returns the XTRA database validity period QMI_PDS_GET_XTRA_PARAMETERS_MSG 0x002B

Parameters

  pGPSWeek | [ O ] - Starting GPS week of validity period
  pGPSWeekOffset | [ O ] - Starting GPS week offset (minutes) of validity period
  pDuration | [ O ] - Length of validity period (hours)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI PDSInjectTimeReference | ( | ULONGLONG | systemTime,
|  | USHORT | systemDiscontinuities
| ) |  |

This function injects a system time into the PDS engine QMI_PDS_INJECT_TIME_REF_MSG = 0x0028

Parameters

  systemTime | [ I ] - System time
  systemDiscontinuities | [ I ] - Number of system time discontinuities

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI ResetPDSData | ( | ULONG * | pGPSDataMask,
|  | ULONG * | pCellDataMask
| ) |  |

This function resets the specified PDS data QMI_PDS_RESET_GPS_SERVICE_DATA_MSG 0x0034

Parameters

  pGPSDataMask | [ I ] - Bitmask of GPS data to clear (optional)
  pCellDataMask | [ I ] - Bitmask of cell data to clear (optional)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetAGPSConfig | ( | ULONG | serverAddress,
|  | ULONG | serverPort
| ) |  |

This function sets the PDS AGPS configuration QMI_PDS_SET_AGPS_CONFIG_MSG 0x002F

Parameters

  serverAddress | [ I ] - IPv4 address of AGPS server
  serverPort | [ I ] - Port number of AGPS server

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetAGPSProtocol | ( | ULONG | protocol | ) |

This function sets the network type for AGPS commands

Parameters

  protocol | [ I ] - Network mode

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetNMEACallback | ( | tFNNewNMEA | pCallback | ) |

This function enables/disables the NMEA sentence callback function QMI_PDS_SET_EVENT_REPORT 0x0001

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

QCIMPORT2K ULONG QCWWANAPI2K SetNMEAPlusCallback | ( | tFNNewNMEAPlus | pCallback | ) |

This function enables/disables the NMEA sentence plus mode callback function

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetPDSDefaults | ( | ULONG | operation,
|  | BYTE | timeout,
|  | ULONG | interval,
|  | ULONG | accuracy
| ) |  |

This function sets the default tracking session configuration QMI_PDS_SET_DEFAULT_TRACKING_SESSION_MSG = 0x002A

Parameters

  operation | [ I ] - Desired session operating mode
  timeout | [ I ] - Maximum amount of time (seconds) to work on each fix
  interval | [ I ] - Interval (milliseconds) between fix requests
  accuracy | [ I ] - Desired accuracy threshold (meters)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetPDSState | ( | ULONG | enable | ) |

This function sets the PDS state

Parameters

  enable | [ I ] - Desired PDS state (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetPDSStateCallback | ( | tFNPDSState | pCallback | ) |

This function enables/disables the PDS service state callback function QMI_PDS_GPS_SERVICE_STATE_IND_MSG 0x20

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetPortAutomaticTracking | ( | ULONG | bAuto | ) |

This function sets the automatic tracking configuration for the NMEA COM port QMI_PDS_SET_COM_PORT_CONFIG_MSG 0x0033

Parameters

  bAuto | [ I ] - Enable automatic tracking for NMEA COM port?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetServiceAutomaticTracking | ( | ULONG | bAuto | ) |

This function sets the automatic tracking state for the service QMI_PDS_SET_AUTO_TRACKING_STATE_MSG 0x0031

Parameters

  bAuto | [ I ] - Start automatic tracking session for service?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetXTRAAutomaticDownload | ( | ULONG | bEnabled,
|  | USHORT | interval
| ) |  |

This function sets the XTRA automatic download configuration QMI_PDS_SET_XTRA_PARAMETERS_MSG = 0x002C

Parameters

  bEnabled | [ I ] - Automatic download enabled?
  interval | [ I ] - Interval (hours) between XTRA downloads

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetXTRADataState | ( | ULONG | state | ) |

This function sets the XTRA data positioning state

Parameters

  state | [ I ] - XTRA data positioning state

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetXTRANetwork | ( | ULONG | preference | ) |

This function sets the XTRA WWAN network preference QMI_PDS_SET_XTRA_PARAMETERS_MSG = 0x002C

Parameters

  preference | [ I ] - XTRA WWAN network preference

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetXTRATimeState | ( | ULONG | state | ) |

This function sets the XTRA time positioning state QMI_PDS_SET_POSITION_METHOD_STATE_MSG 0x0051

Parameters

  state | [ I ] - XTRA time positioning state

Returns
  See GobiErrorCodes.h

QCIMPORT2K ULONG QCWWANAPI2K StartPDSTrackingSession | ( | ULONG | fixInterval | ) |

This function starts a PDS tracking session(Deprecated)

NOTE: Only one tracking session can be active at any given time

Parameters

  fixInterval | [ I ] - Time in milliseconds between fixes

Returns
  See GobiErrorCodes.h

QCIMPORT2K ULONG QCWWANAPI2K StopPDSTrackingSession | ( |  | ) |

This function stops a PDS tracking session(Deprecated)

Returns
  See GobiErrorCodes.h